# Create channel and Stubs
import grpc

from frostfs_sdk.client.utils.session_cache import SessionCache
from frostfs_sdk.client.models.client_environment import ClientEnvironment
from frostfs_sdk.client.models.client_settings import ClientSettings
from frostfs_sdk.client.models.ecdsa_model import ECDSA
from frostfs_sdk.client.services.container import ContainerClient
from frostfs_sdk.models.dto.version import Version


class FrostfsClient:
    def __init__(self, client_settings: ClientSettings):
        self.channel = grpc.insecure_channel(client_settings.address)
        self.ecdsa: ECDSA = ECDSA(wif=client_settings.wif)

        client_environment = ClientEnvironment(self.ecdsa, self.channel, client_settings.address, Version(), SessionCache(0))
        self.container = ContainerClient(client_environment)

    def close(self):
        self.channel.close()



"""
import frostfs_sdk

WIF = "L5XNVUzPnma6m4mPrWEN6CcTscJERcfX3yvb1cdffdxe1iriAshU"
address = "10.78.128.25:8080"
client = frostfs_sdk.FrostfsClient(ClientSettings(WIF, address))
params = frostfs_sdk.models.PrmsCreateContainer(name="1234")
client.container.create(params)
"""
