from dataclasses import dataclass, field
from typing import Optional, Dict

from frostfs_sdk.models.dto.container import Container
from frostfs_sdk.client.utils.session_cache import SessionToken
from frostfs_sdk.client.parameters.wait_param import WaitParam


@dataclass(frozen=True)
class ContainerCreateParam:
    container: Container
    wait_params: Optional[WaitParam] = None
    session_token: Optional[SessionToken] = None
    x_headers: Dict[str, str] = field(default_factory=dict)

    def __post_init__(self):
        if self.wait_params is None:
            object.__setattr__(self, 'wait_params', WaitParam())
