from dataclasses import dataclass, field
from typing import Dict, Optional

@dataclass
class CreateSessionParam:
    """
    Represents parameters for creating a session.
    """
    expiration: int  # -1 indicates maximum expiration
    x_headers: Optional[Dict[str, str]] = field(default_factory=dict)

    def __init__(self, expiration: int, x_headers: Optional[Dict[str, str]] = None):
        self.expiration = expiration
        self.x_headers = x_headers if x_headers is not None else {}
